Redmine - Feature #20812

Highlight overdue issues and private issues in issue list
2015-09-23 03:51 - Go MAEDA

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: Candidate for next major release

Resolution:

Description

Although CSS class 'overdue' on issues was implemented by #2337, default application.css does not highlight overdue issues yet
except for gantt.

This patch makes overdue issues and private issues clearly distinguishable in issue list.
Added by Redmine Admin 13 minutes ago.

Status: Mew Start date: 09/22/2015
Priority: Mormal Due date: 09/22/2015
Azslgnesa: - % Daonea: 0%
Category: -

Target version: -

Subtasks

Related issues

Related issues:
Related to Redmine - Feature #2337: Highlight overdue Tickets Closed 2008-12-14
Related to Redmine - Feature #27316: Highlight due date of overdue issues in ... Closed

Associated revisions

Revision 14732 - 2015-10-24 07:57 - Jean-Philippe Lang

Display due date in red on overdue issues (#20812).

History

#1 - 2015-09-23 03:52 - Go MAEDA
- Related to Feature #2337: Highlight overdue Tickets added

#2 - 2015-10-03 16:43 - Go MAEDA

- Target version set to Candidate for next major release

#3 - 2015-10-21 17:10 - Toshi MARUYAMA

- Target version changed from Candidate for next major release to 3.2.0

#4 - 2015-10-21 20:41 - Jean-Philippe Lang

| agree on displaying the due date in red on an issue that is overdue (second screenshot).

But for the issue list, | don't know. | find it confusing to have almost the same color the 2 really different things (overdue/private). And some people
only use private issues in their projects, that would make a lot of red on the issue list.
https://www.redmine.org/issues/2337

#5 - 2015-10-22 07:11 - Go MAEDA
- File issues-list-v2.png added
- File highlight-private-and-overdue-issues-v2.diff added

Thanks for reviewing this.

But for the issue list, | don't know. | find it confusing to have almost the same color the 2 really different things (overdue/private). And some
people only use private issues in their projects, that would make a lot of red on the issue list.

Updated the patch.

Like private note, red border on the left. Private and overdue are clearly identifiable.
#6 - 2015-10-24 08:05 - Jean-Philippe Lang

- Target version changed from 3.2.0 to Candidate for next major release

r14732 displays the due date in red on overdue issue details.

Styling the issue list is a nice thing but it's not easy to find something that is OK for most people. | personally wouldn't like to have all overdue issues

displayed in red on the issue list.

#7 - 2017-10-28 08:35 - Go MAEDA

- Related to Feature #27316: Highlight due date of overdue issues in the issues list added
